> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the location of all the current Spark drivers



## OpenAPI

````yaml /api-reference/4.2/service-spark.json get /spark/driver/status
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/driver/status:
    get:
      tags:
        - 4.2 Spark API
      summary: Get the location of all the current Spark drivers
      operationId: getDrivers
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/SparkDriverRegistration'
components:
  schemas:
    SparkDriverRegistration:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        hostname:
          type: string
          readOnly: true
        port:
          type: integer
          format: int32
          readOnly: true
        scripted:
          type: boolean
          readOnly: true
          default: false

````